#!/bin/sh

zway_data_dir="/config/rs/zwave"
zway_config_dir="$zway_data_dir/automation/storage"

print_config_file_path()
{
    ls -1 $zway_config_dir/configjson-*.json | head -1
}

get_credentials()
{
    config_file_path=`print_config_file_path`
    profile_info=`cat "$config_file_path" | sed ':a;N;$!ba;s/ *\n *//g' | sed 's/.*"profiles" *: *\[ *{ *"id" *: *1//' | awk -F']' '{print $1}'`
    login=`echo $profile_info | sed 's/.*"login" *: *"//' | awk -F'"' '{print $1}'`
    echo "$login:"
}

get_credentials
