pand_result=null;

pand = function() {
    pand_result=null;

    default_result = {
        status: "Error",
        err_msg: "Auxiliary checking error"
    };

    var req = {
        url: "http://127.0.0.1/cgi-bin/plugins/zwave_controller/pand",
        method: "GET",
        async: true,
        success: function(response) {
            if (!response || response.status != 200 || !response.data)
            {
                pand_result = default_result;
                return;
            }

            try
            {
                http_result = JSON.parse(response.data);
            }
            catch (e)
            {
                pand_result = default_result;
                return;
            }

            if (!http_result)
            {
                pand_result = default_result;
                return;
            }

            if ((!http_result.status || http_result.status.toLowerCase() != "ok") && !http_result.err_msg)
            {
                pand_result = default_result;
                return;
            }

            pand_result = http_result;
        },
        error: function(response) {
            pand_result = default_result;
        }
    };

    http.request(req);
};

ws.allowExternalAccess("pand");
ws.allowExternalAccess("pand_result");

pand();
