<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';

require_once 'root_screen.php';
require_once 'main_entry_handler.php';

///////////////////////////////////////////////////////////////////////////

class ZwaveControllerPlugin extends DefaultDunePlugin
{
    private $entry_handler;

    public function __construct()
    {
        $this->entry_handler = new MainEntryHandler($this);
        $this->add_screen(new RootScreen($this));
    }

    public function /* Action */ on_app_enter($ui_handler, &$plugin_cookies,
        $selected_media_url)
    {
        return ActionFactory::open_folder(RootScreen::ID);
    }

}

///////////////////////////////////////////////////////////////////////////
?>
